#
# spec file for package kdeconnect-kde
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kdeconnect-kde
Version:        1.0.1
Release:        2.19
Summary:        KDE Android integration
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            https://projects.kde.org/projects/playground/base/kdeconnect-kde
Source:         http://download.kde.org/stable/kdeconnect/%{version}/src/%{name}-%{version}.tar.xz
Source100:      kdeconnect-kde.SuSEfirewall
Source101:      kdeconnect-kde-firewalld.xml
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= 0.0.9
BuildRequires:  kf5-filesystem
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(Qca-qt5)
BuildRequires:  cmake(Qt5Quick) >= 5.2.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.2.0
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}
Conflicts:      kdeconnect-kde4
Recommends:     %{name}-lang = %{version}
Requires:       sshfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Integrate Android with the KDE Desktop.

Current feature list:
- Clipboard share: copy from or to your desktop
- Notifications sync (4.3+): Read your Android notifications from KDE
- Multimedia remote control: Use your phone as a remote control
- WiFi connection: no usb wire or bluetooth needed
- RSA Encryption: your information is safe

Please note you will need to install KDE Connect on Android for this app to work:
https://play.google.com/store/apps/details?id=org.kde.kdeconnect_tp

%{lang_package}
%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build

for translation_file in kdeconnect-{cli,core,fileitemaction,kcm,kded,kio,plugins} plasma_applet_org.kde.kdeconnect; do
    %{find_lang} $translation_file %{name}.lang
done

# susefirewall config file
install -D -m 0644 %{S:100} \
    %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
install -D -m 0644 %{S:101} \
    %{buildroot}%{_libexecdir}/firewalld/services/%{name}.xml

%suse_update_desktop_file %{buildroot}%{_kf5_applicationsdir}/org.kde.kdeconnect.nonplasma.desktop Network RemoteAccess

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README*
%config(noreplace) %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/%{name}
%dir %{_libexecdir}/firewalld
%dir %{_libexecdir}/firewalld/services
%{_libexecdir}/firewalld/services/%{name}.xml
%{_kf5_libdir}/libkdeconnect*.so.*
%{_kf5_plugindir}/
%{_kf5_applicationsdir}/*.desktop
%dir %{_kf5_iconsdir}/hicolor/256x256
%dir %{_kf5_iconsdir}/hicolor/256x256/apps
%{_kf5_iconsdir}/hicolor/*/apps/kdeconnect.*
%{_kf5_libdir}/libexec/
%{_kf5_servicesdir}/
%{_kf5_notifydir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/plasma/
%{_kf5_qmldir}/
%{_kf5_bindir}/kdeconnect-cli
%{_kf5_sharedir}/dbus-1/services/org.kde.kdeconnect.service
%{_kf5_configdir}/autostart/kdeconnectd.desktop
%{_kf5_iconsdir}/hicolor/*/status/*
%{_kf5_htmldir}/en/kdeconnect-kde/
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.kdeconnect.kcm.appdata.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Sep 21 2016 wbauer@tmo.at
- Update to 1.0.1
  * fixes some issues found in 1.0
- Drop upstreamed fix-build-with-older-qt.patch
* Wed Sep  7 2016 wbauer@tmo.at
- Add fix-build-with-older-qt.patch from upstream to make it
  compile with Qt < 5.6, and lower the Qt requirement to 5.2 again
  (as demanded by CMakeLists.txt)
* Fri Aug 26 2016 herbert@graeber-clan.de
- Add firewalld service file
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Build docs again
- Require at least Qt 5.6
* Fri Aug 26 2016 lbeltrame@kde.org
- New upstream version 1.0
  * Trigger custom commands from phone
  * Reply to SMS messages from the desktop
  * Receive desktop notifications on phone
  * TLS encryption
* Mon Feb  1 2016 hrvoje.senjan@gmail.com
- Update to 0.9g
  * No changelog provided
- Drop upstreamed 0001-This-syntax-also-works-on-older-OpenSSH-versions.patch
* Thu Jan 14 2016 alarrosa@suse.com
- Add 0001-This-syntax-also-works-on-older-OpenSSH-versions.patch from
  upstream to be compatible with older openssh versions (bnc#961554)
* Mon Nov 30 2015 toddrme2178@gmail.com
- Update to 0.9f
  * Adds translations
- Update to 0.9
  * KF5 version
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 0.8
  * No changelog provided
* Mon Jan 12 2015 tittiatcoke@gmail.com
- Add Requires:  sshfs  to make it work.
* Thu Oct 16 2014 hrvoje.senjan@gmail.com
- Update to 0.7.3:
  * No changelog provided
* Fri Sep 12 2014 hrvoje.senjan@gmail.com
- Update to 0.7.2:
  * No changelog provided
* Tue Jul  1 2014 fisiu@opensuse.org
- Update to 0.7.1:
  * Touchpad allows to scroll with 2 fingers, middle and right click.
  * Minor fixes.
* Sat Jun 28 2014 fisiu@opensuse.org
- Update to 0.7:
  * Use phone as cursor controller.
  * Allow android phone to receive files from PC.
  * Many bug fixes.
  * Translation available in 25 languages.
* Fri May 16 2014 hrvoje.senjan@gmail.com
- Update to 0.5.2.1
  * New upstream release, no changelog provided
* Sun Mar  9 2014 hrvoje.senjan@gmail.com
- Update to 0.5.1
  * New upstream release, no changelog provided
* Sat Feb 22 2014 fisiu@opensuse.org
- Update to 0.5.
- Build language package.
* Sat Dec 21 2013 fisiu@opensuse.org
- Add kdeconnect-kde.SuSEfirewall: config file for SuSEfirewall2.
* Fri Dec 20 2013 fisiu@opensuse.org
- Update to 0.4.2:
  * Plasmoid now displays the devices' battery.
  * Added standalone binary to run kdeconnect without kded.
  * Added a config dialog to pausemusic plugin.
  * Share plugin changed name.
  * The battery percentage for low battery level is now signaled by the device.
* Mon Nov 11 2013 hrvoje.senjan@gmail.com
- Update to version 0.4.1
  * New feature release, no changelog provided
* Tue Nov  5 2013 hrvoje.senjan@gmail.com
- Update to version 0.4
  * New feature release, no changelog provided
- Remove lang tar, translations removed also from tar
- BuildRequire libqjson-devel >= 0.8, as it doesn't build with older
  QJson
* Thu Oct  3 2013 hrvoje.senjan@gmail.com
- Update to version 0.3
  * New feature release
- Added lang tarball
* Mon Sep  9 2013 toddrme2178@gmail.com
- Initial version (0.1)
